Partage

difference entre les versions des script de Jquery

peut on inclure plusieurs versions de Jquery entre les balises

11 février 2018 à 9:40:17

bonjour;

je me demande pourquoi il ya plusieurs versions de script de Jquery; par exemple

jquery-1.8.3.min
jquery-ui.min
jquery.min
jquery-1.10.1.min

...

 Suite a chaque animation exige une version spécifique de Jquery; peut on inclure plusieurs versions de Jquery  entre les balises <head> et </head> comme ceci :

      
 <script type="text/javascript" src="js/jquery.min.js"></script>
       <script type="text/javascript" src="lib/jquery-1.10.1.min.js"></script>     
       <script type="text/javascript" src="js/jquery-1.8.3.min.js"></script>
       <script type="text/javascript" src="js/jquery-ui.min.js"></script>


ou bien une seule version est suffisante:

<script type="text/javascript" src="js/jquery.js"></script>

merci pour touts info

Vous êtes demandeur·se d'emploi ?
Sans diplôme post-bac ?

Devenez Développeur·se web junior

Je postule
Formation
courte
Financée
à 100%
11 février 2018 à 21:59:56

Hello,

Une est suffisant la plus récente.

Elle comporte le contenu de l'ancienne + correction des certains bugs et des améliorations, ajouts etc......

PS. Voir des suppression des fonctions, méthodes comme dans tous les langages de programmation remplacer par des fonctions et méthodes plus performantes.

Staff 11 février 2018 à 22:21:37

Bonsoir,

en effet, il ne faut surtout pas charger plusieurs versions de jQuery en même temps : cela prend de la bande passante pour rien à cause de la redondance.

Attention toutefois : les versions les plus récentes de jQuery ont supprimé (à raison selon moi) le support des vieux IE - jQuery 3 marche à partir de IE9 par exemple. De plus, comme le dit Alby57600, certaines fonctions obsolètes sont également supprimées, et si le script qui nécessite jQuery n'a pas été mis à jour et fait toujours appel à ces fonctions, il plantera.

Donc : le mieux c'est de prendre la dernière version, et tester. S'il y a une erreur, l'identifier dans la console du navigateur, voir quelle est la fonction qui plante, chercher sur https://api.jquery.com dans quelle version de jQ elle a été supprimée, et prendre la version juste avant -ou changer carrément de script, hein :)

Pas d'aide concernant le code par MP ni par mail, le forum est là pour ça :) Postez votre code html et css (bouton '</>') !!

difference entre les versions des script de Jquery

× Après avoir cliqué sur "Répondre" vous serez invité à vous connecter pour que votre message soit publié.
  • Editeur
  • Markdown